> For the complete documentation index, see [llms.txt](https://docs.macilib.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.macilib.org/docs/maci/object/methods/is_parent_map.md).

# is\_parent\_map

Checks if an attribute name in the [MaciDataObj](/docs/maci/object.md) is a parent mapped with children, and returns a bool.

{% hint style="info" %}
data.is\_parent\_map()  ->  bool
{% endhint %}

\
*Basic Example checking if an attribute name is a parent in the* [*MaciDataObj*](/docs/maci/object.md)

```python
result = data.is_parent_map('attr1')
```

In this example, we simply use the is\_parent\_map method on the [MaciDataObj](/docs/maci/object.md) to get a boolean check if the attribute name passed into the parameter is a parent mapped with children, and assign the returned bool to a variable.

For more information on the mapping concept, see [Map Assignment Glyph](https://docs.macilib.org/docs/maci/language/v1.0.0#map-assignment-glyph) in the language section and [map\_attr](/docs/maci/object/methods/map_attr.md).

### partner methods

Methods that provide related utility to this method

[map\_attr](/docs/maci/object/methods/map_attr.md)  ->  Map an attribute name\
[unmap\_attr](/docs/maci/object/methods/unmap_attr.md)  ->  Unmap an attribute name

### parameters & arguments

Describes all parameter functionality and accepted data types

<details>

<summary>attr_name:  str</summary>

First and only required positional argument. Accepts strings

Use this parameter to pick the attribute name to check.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.macilib.org/docs/maci/object/methods/is_parent_map.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
